> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connected Accounts

> Returns a list of all [connected accounts](https://docs.seam.co/core-concepts/connected-accounts).



## OpenAPI

````yaml /openapi.json post /connected_accounts/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /connected_accounts/list:
    post:
      tags:
        - /connected_accounts
      summary: List Connected Accounts
      description: >-
        Returns a list of all [connected
        accounts](https://docs.seam.co/core-concepts/connected-accounts).
      operationId: connectedAccountsListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                custom_metadata_has:
                  additionalProperties:
                    oneOf:
                      - type: string
                      - type: boolean
                  description: >-
                    Custom metadata pairs by which you want to filter connected
                    accounts. Returns connected accounts with `custom_metadata`
                    that contains all of the provided key:value pairs.
                  type: object
                customer_key:
                  description: Customer key by which you want to filter connected accounts.
                  type: string
                limit:
                  default: 11000
                  description: Maximum number of records to return per page.
                  exclusiveMinimum: true
                  minimum: 0
                  type: integer
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
                search:
                  description: >-
                    String for which to search. Filters returned connected
                    accounts to include all records that satisfy a partial match
                    using `connected_account_id`, `account_type`,
                    `customer_key`, `custom_metadata`,
                    `user_identifier.username`, `user_identifier.email` or
                    `user_identifier.phone`.
                  minLength: 1
                  type: string
                space_id:
                  description: >-
                    ID of the space by which you want to filter connected
                    accounts.
                  format: uuid
                  type: string
                user_identifier_key:
                  description: >-
                    Your user ID for the user by which you want to filter
                    connected accounts.
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  connected_accounts:
                    items:
                      $ref: '#/components/schemas/connected_account'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - connected_accounts
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.connectedAccounts.list({
              user_identifier_key: "2f393937-1405-4b1a-933f-34c97bfb3c56",
              limit: 50,
            });

            /*
            [
              {
                "account_type": "salto_space",
                "account_type_display_name": "Salto Space",
                "display_name": "j**n@example.com",
                "automatically_manage_new_devices": true,
                "connected_account_id": "a289aa54-5488-4707-9a4b-eeea4edf311d",
                "created_at": "2025-06-15T16:54:17.946329Z",
                "custom_metadata": {
                  "id": "internalId1"
                },
                "errors": [],
                "user_identifier": {
                  "api_url": "https://example.com/api",
                  "email": "jane_doe@example.com",
                  "exclusive": true,
                  "phone": "+1555551004",
                  "username": "jane_doe"
                },
                "warnings": []
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/connected_accounts/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identifier_key": "2f393937-1405-4b1a-933f-34c97bfb3c56",
              "limit": 50
            }

            EOF


            # Response:

            # {

            #   "connected_accounts": [

            #     {

            #       "account_type": "salto_space",

            #       "account_type_display_name": "Salto Space",

            #       "display_name": "j**n@example.com",

            #       "automatically_manage_new_devices": true,

            #       "connected_account_id":
            "a289aa54-5488-4707-9a4b-eeea4edf311d",

            #       "created_at": "2025-06-15T16:54:17.946329Z",

            #       "custom_metadata": {

            #         "id": "internalId1"

            #       },

            #       "errors": [],

            #       "user_identifier": {

            #         "api_url": "https://example.com/api",

            #         "email": "jane_doe@example.com",

            #         "exclusive": true,

            #         "phone": "+1555551004",

            #         "username": "jane_doe"

            #       },

            #       "warnings": []

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.connected_accounts.list(
                user_identifier_key="2f393937-1405-4b1a-933f-34c97bfb3c56", limit=50
            )

            # [
                ConnectedAccount(
                    account_type="salto_space",
                    account_type_display_name="Salto Space",
                    display_name="j**n@example.com",
                    automatically_manage_new_devices=true,
                    connected_account_id="a289aa54-5488-4707-9a4b-eeea4edf311d",
                    created_at="2025-06-15T16:54:17.946329Z",
                    custom_metadata={"id": "internalId1"},
                    errors=[],
                    user_identifier={
                        "api_url": "https://example.com/api",
                        "email": "jane_doe@example.com",
                        "exclusive": true,
                        "phone": "+1555551004",
                        "username": "jane_doe",
                    },
                    warnings=[],
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.connected_accounts.list(user_identifier_key:
            "2f393937-1405-4b1a-933f-34c97bfb3c56", limit: 50)


            # => [
              {
                "account_type" => "salto_space",
                "account_type_display_name" => "Salto Space",
                "display_name" => "j**n@example.com",
                "automatically_manage_new_devices" => true,
                "connected_account_id" => "a289aa54-5488-4707-9a4b-eeea4edf311d",
                "created_at" => "2025-06-15T16:54:17.946329Z",
                "custom_metadata" => {
                  id: "internalId1",
                },
                "errors" => [],
                "user_identifier" => {
                  api_url: "https://example.com/api",
                  email: "jane_doe@example.com",
                  exclusive: true,
                  phone: "+1555551004",
                  username: "jane_doe",
                },
                "warnings" => [],
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->connected_accounts->list(
                user_identifier_key: "2f393937-1405-4b1a-933f-34c97bfb3c56",
                limit: 50,
            );

            // [
                [
                    "account_type" => "salto_space",
                    "account_type_display_name" => "Salto Space",
                    "display_name" => "j**n@example.com",
                    "automatically_manage_new_devices" => true,
                    "connected_account_id" => "a289aa54-5488-4707-9a4b-eeea4edf311d",
                    "created_at" => "2025-06-15T16:54:17.946329Z",
                    "custom_metadata" => ["id" => "internalId1"],
                    "errors" => [],
                    "user_identifier" => [
                        "api_url" => "https://example.com/api",
                        "email" => "jane_doe@example.com",
                        "exclusive" => true,
                        "phone" => "+1555551004",
                        "username" => "jane_doe",
                    ],
                    "warnings" => [],
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam connected-accounts list --user_identifier_key
            "2f393937-1405-4b1a-933f-34c97bfb3c56" --limit 50


            # [

            #   {

            #     "account_type": "salto_space",

            #     "account_type_display_name": "Salto Space",

            #     "display_name": "j**n@example.com",

            #     "automatically_manage_new_devices": true,

            #     "connected_account_id":
            "a289aa54-5488-4707-9a4b-eeea4edf311d",

            #     "created_at": "2025-06-15T16:54:17.946329Z",

            #     "custom_metadata": {

            #       "id": "internalId1"

            #     },

            #     "errors": [],

            #     "user_identifier": {

            #       "api_url": "https://example.com/api",

            #       "email": "jane_doe@example.com",

            #       "exclusive": true,

            #       "phone": "+1555551004",

            #       "username": "jane_doe"

            #     },

            #     "warnings": []

            #   }

            # ]
components:
  schemas:
    connected_account:
      description: >-
        Represents a [connected
        account](https://docs.seam.co/core-concepts/connected-accounts). A
        connected account is an external third-party account to which your user
        has authorized Seam to get access, for example, an August account with a
        list of door locks.
      properties:
        accepted_capabilities:
          description: >-
            List of capabilities that were accepted during the account
            connection process.
          items:
            description: |2

                High-level device capabilities that can be restricted in connect webviews.
                These represent the main device categories that customers can opt into.
            enum:
              - lock
              - thermostat
              - noise_sensor
              - access_control
              - camera
            type: string
          type: array
        account_type:
          description: Type of connected account.
          type: string
        account_type_display_name:
          description: Display name for the connected account type.
          type: string
        automatically_manage_new_devices:
          description: >-
            Indicates whether Seam should [import all new
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#automatically_manage_new_devices)
            for the connected account to make these devices available for
            management by the Seam API.
          type: boolean
        connected_account_id:
          description: ID of the connected account.
          format: uuid
          type: string
        created_at:
          description: Date and time at which the connected account was created.
          format: date-time
          type: string
        custom_metadata:
          additionalProperties:
            oneOf:
              - type: string
              - type: boolean
          description: >-
            Set of key:value pairs. Adding custom metadata to a resource, such
            as a [Connect
            Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview),
            [connected
            account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account),
            or
            [device](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device),
            enables you to store custom information, like customer details or
            internal IDs from your application.
          type: object
        customer_key:
          description: >-
            Your unique key for the customer associated with this connected
            account.
          type: string
        default_checkin_time:
          description: >-
            Default reservation check-in time for this connected account, as
            `HH:mm` (24-hour). Sourced from the connector configuration — set
            during the connect_webview for providers like Lodgify whose API does
            not expose check-in times.
          type: string
        default_checkout_time:
          description: >-
            Default reservation check-out time for this connected account, as
            `HH:mm` (24-hour). Sourced from the connector configuration.
          type: string
        display_name:
          description: Display name for the connected account.
          type: string
        errors:
          description: Errors associated with the connected account.
          items:
            discriminator:
              propertyName: error_code
            oneOf:
              - description: Indicates that the account is disconnected.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - account_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
              - description: >-
                  Indicates that the Seam API cannot communicate with [Seam
                  Bridge](https://docs.seam.co/capability-guides/seam-bridge),
                  for example, if the Seam Bridge executable has stopped or if
                  the computer running the Seam Bridge executable is offline.
                  See also [Troubleshooting Your Access Control
                  System](https://docs.seam.co/low-level-apis/access-systems/troubleshooting-your-access-control-system#acs_system.errors.seam_bridge_disconnected).
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - bridge_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
              - description: >-
                  Indicates that the maximum number of users allowed for the
                  site has been reached. This means that new access codes cannot
                  be created. Contact Salto support to increase the user limit.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - salto_ks_subscription_limit_exceeded
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                  salto_ks_metadata:
                    description: >-
                      Salto KS metadata associated with the connected account
                      that has an error.
                    properties:
                      sites:
                        description: >-
                          Salto sites associated with the connected account that
                          has an error.
                        items:
                          description: >-
                            Salto site associated with the connected account
                            that has an error.
                          properties:
                            site_id:
                              description: >-
                                ID of a Salto site associated with the connected
                                account that has an error.
                              type: string
                            site_name:
                              description: >-
                                Name of a Salto site associated with the
                                connected account that has an error.
                              type: string
                            site_user_subscription_limit:
                              description: >-
                                Subscription limit of site users for a Salto
                                site associated with the connected account that
                                has an error.
                              minimum: 0
                              type: integer
                            subscribed_site_user_count:
                              description: >-
                                Count of subscribed site users for a Salto site
                                associated with the connected account that has
                                an error.
                              minimum: 0
                              type: integer
                          required:
                            - site_id
                            - site_name
                            - subscribed_site_user_count
                            - site_user_subscription_limit
                          type: object
                        type: array
                    required:
                      - sites
                    type: object
                required:
                  - created_at
                  - message
                  - error_code
                  - salto_ks_metadata
                type: object
              - description: >-
                  Indicates that one or more dormakaba sites associated with the
                  connected account could not be connected. Contact dormakaba
                  support.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - dormakaba_sites_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
          type: array
        ical_feed_origin:
          description: >-
            For iCal connected accounts, the platform that produced the feed
            (for example, `airbnb`, `vrbo`, or `booking`), or `unknown` when it
            could not be determined. Intended for rendering the source
            platform's logo.
          type: string
        ical_url:
          description: >-
            For iCal connected accounts, the feed URL for the connection.
            Sourced from the connector configuration.
          type: string
        image_url:
          description: Logo URL for the connected account provider.
          format: uri
          type: string
        time_zone:
          description: >-
            IANA time zone (e.g. America/Los_Angeles) for this connected
            account. Sourced from the connector configuration.
          type: string
        user_identifier:
          deprecated: true
          description: User identifier associated with the connected account.
          properties:
            api_url:
              description: >-
                API URL for the user identifier associated with the connected
                account.
              type: string
            email:
              description: >-
                Email address of the user identifier associated with the
                connected account.
              type: string
            exclusive:
              description: >-
                Indicates whether the user identifier associated with the
                connected account is exclusive.
              type: boolean
            phone:
              description: >-
                Phone number of the user identifier associated with the
                connected account.
              type: string
            username:
              description: >-
                Username of the user identifier associated with the connected
                account.
              type: string
          type: object
          x-deprecated: Use `display_name` instead.
        warnings:
          type: array
          description: Warnings associated with the connected account.
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
      required:
        - connected_account_id
        - account_type_display_name
        - display_name
        - errors
        - warnings
        - custom_metadata
        - automatically_manage_new_devices
        - accepted_capabilities
      type: object
      x-route-path: /connected_accounts
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````